
API reference
Authenticate with a personal access token or OAuth bearer token. Send a User-Agent identifying your application. Follow Link headers for pagination; respect Retry-After on rate limits.
- Base URL
https://api.sawadoo.com- OAuth discovery
https://api.sawadoo.com/.well-known/oauth-authorization-server- Basecamp-compatible CLI
BASECAMP_BASE_URL=https://api.sawadoo.com BASECAMP_LAUNCHPAD_URL=https://api.sawadoo.com
Set both variables, then add BASECAMP_ACCOUNT_ID and BASECAMP_TOKEN (a personal access token) to use the CLI against this API.
Download OpenAPI 3.1 specification
GET /up — Liveness probe
Parameters
[]
Responses
{
"200": {
"description": "The service is up",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Health"
}
}
}
}
}GET /billing/plans.json — Plans on sale
Parameters
[]
Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PublicPlans"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /inbound/ses — Amazon SNS endpoint for SES inbound mail (Email Forwards, reply-by-email)
Parameters
[]
Responses
{
"200": {
"description": "Accepted",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InboundAck"
}
}
}
},
"400": {
"description": "Not a valid SNS message",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InboundError"
}
}
}
},
"403": {
"description": "Bad signature or unknown topic",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InboundError"
}
}
}
},
"503": {
"description": "Inbound mail is not configured",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InboundError"
}
}
}
}
}GET /{accountId}/account.json — Get the account
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Account"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/people.json — Get all people
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Person"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/circles/people.json — Get pingable people
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Person"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/people/{personId} — Get a person
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "personId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Person"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/my/profile.json — Get my personal info
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Person"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/my/profile.json — Update my personal info
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProfileUpdate"
}
}
}
}Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/projects/recordings.json — Get recordings of a type
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "type",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "bucket",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "sort",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "direction",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Recording"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/projects.json — Get projects
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Project"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/projects.json — Create a project
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProjectInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Project"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/projects/{projectId} — Get a project
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "projectId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Project"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/projects/{projectId} — Update a project
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "projectId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProjectInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Project"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/projects/{projectId} — Trash a project
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "projectId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/projects/{projectId}/status/archived.json — Archive a project
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "projectId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/projects/{projectId}/status/active.json — Unarchive (or restore) a project
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "projectId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/projects/{projectId}/people.json — Get people on a project
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "projectId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Person"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/projects/{projectId}/people/users.json — Grant or revoke project access
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "projectId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProjectAccessInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProjectAccessResult"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/dock/tools.json — Add a tool to the dock
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ToolCreate"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/dock/tools/{toolId} — Get a tool
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/dock/tools/{toolId} — Rename a tool
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ToolUpdate"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/dock/tools/{toolId} — Trash a tool
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/dock/tools/{toolId} — Get a tool (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/dock/tools/{toolId} — Rename a tool (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ToolUpdate"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/buckets/{bucketId}/dock/tools/{toolId} — Trash a tool (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/recordings/{toolId}/position.json — Enable a tool
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/recordings/{toolId}/position.json — Disable a tool
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/recordings/{toolId}/position.json — Move a tool in the dock
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PositionInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/recordings/{toolId}/position.json — Enable a tool (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/buckets/{bucketId}/recordings/{toolId}/position.json — Disable a tool (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/recordings/{toolId}/position.json — Move a tool in the dock (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "toolId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PositionInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Tool"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/searches/metadata.json — Get search filter options
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SearchMetadata"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/search.json — Search
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "q",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "type_names[]",
"in": "query",
"required": false,
"schema": {
"type": "array",
"items": {
"type": "string"
}
}
},
{
"name": "type",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "bucket_ids[]",
"in": "query",
"required": false,
"schema": {
"type": "array",
"items": {
"type": "string"
}
}
},
{
"name": "bucket_id",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "creator_ids[]",
"in": "query",
"required": false,
"schema": {
"type": "array",
"items": {
"type": "string"
}
}
},
{
"name": "creator_id",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "since",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "sort",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
},
{
"name": "exclude_chat",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Recording"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/my/readings.json — Get my notifications
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Readings"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/my/unreads.json — Mark notifications as read
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/MarkAsReadInput"
}
}
}
}Responses
{
"200": {
"description": "OK"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/my/assignments.json — Get my assignments
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/MyAssignments"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/my/assignments/completed.json — Get my completed assignments
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/MyAssignment"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/my/assignments/due.json — Get my assignments by due date
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "scope",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/MyAssignment"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/my/bookmarks.json — Get my bookmarks
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Bookmark"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/boosts/{boostId} — Get a boost
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "boostId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Boost"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/boosts/{boostId} — Delete a boost
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "boostId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/boosts/{boostId} — Get a boost (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "boostId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Boost"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/buckets/{bucketId}/boosts/{boostId} — Delete a boost (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "boostId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/recordings/{recordingId} — Get a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Recording"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/recordings/{recordingId} — Get a recording (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Recording"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/recordings/{recordingId}/status/trashed.json — Trash a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/recordings/{recordingId}/status/trashed.json — Trash a recording (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/recordings/{recordingId}/status/archived.json — Archive a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/recordings/{recordingId}/status/archived.json — Archive a recording (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/recordings/{recordingId}/status/active.json — Unarchive (or restore) a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/recordings/{recordingId}/status/active.json — Unarchive (or restore) a recording (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/recordings/{recordingId}/client_visibility.json — Show or hide a recording from clients
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClientVisibilityInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Recording"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/recordings/{recordingId}/client_visibility.json — Show or hide a recording from clients (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClientVisibilityInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Recording"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/recordings/{recordingId}/events.json — Get events of a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Event"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/recordings/{recordingId}/events.json — Get events of a recording (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Event"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/recordings/{recordingId}/boosts.json — Get boosts on a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Boost"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/recordings/{recordingId}/boosts.json — Boost a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BoostInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Boost"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/recordings/{recordingId}/boosts.json — Get boosts on a recording (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Boost"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/recordings/{recordingId}/boosts.json — Boost a recording (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BoostInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Boost"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/recordings/{recordingId}/subscription.json — Get who's notified
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Subscription"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/recordings/{recordingId}/subscription.json — Subscribe me
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Subscription"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/recordings/{recordingId}/subscription.json — Unsubscribe me
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/recordings/{recordingId}/subscription.json — Add or remove subscribers
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SubscriptionInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Subscription"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/recordings/{recordingId}/subscription.json — Get who's notified (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Subscription"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/recordings/{recordingId}/subscription.json — Subscribe me (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Subscription"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/buckets/{bucketId}/recordings/{recordingId}/subscription.json — Unsubscribe me (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/recordings/{recordingId}/subscription.json — Add or remove subscribers (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SubscriptionInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Subscription"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/recordings/{recordingId}/bookmark.json — Is it bookmarked?
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BookmarkStatus"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/recordings/{recordingId}/bookmark.json — Bookmark a recording
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BookmarkStatus"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/recordings/{recordingId}/bookmark.json — Remove a bookmark
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "recordingId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/recordings/{messageId}/pin.json — Pin a message
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "messageId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/recordings/{messageId}/pin.json — Unpin a message
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "messageId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/recordings/{messageId}/pin.json — Pin a message (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "messageId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}DELETE /{accountId}/buckets/{bucketId}/recordings/{messageId}/pin.json — Unpin a message (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "messageId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/todosets/{todosetId} — Get a to-do set
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todosetId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todoset"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/todosets/{todosetId} — Get a to-do set (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todosetId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todoset"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/todosets/{todosetId}/todolists.json — Get to-do lists
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todosetId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Todolist"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/todosets/{todosetId}/todolists.json — Create a to-do list
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todosetId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodolistInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/todosets/{todosetId}/todolists.json — Get to-do lists (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todosetId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Todolist"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/todosets/{todosetId}/todolists.json — Create a to-do list (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todosetId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodolistInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/todosets/todolists/{todolistId}/position.json — Move a to-do list
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Position"
}
}
}
}Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/todosets/todolists/{todolistId}/position.json — Move a to-do list (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Position"
}
}
}
}Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/todolists/groups/{groupId}/position.json — Move a to-do list group
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "groupId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Position"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/todolists/groups/{groupId}/position.json — Move a to-do list group (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "groupId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Position"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/todolists/{todolistId}/groups.json — Get to-do list groups
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Todolist"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/todolists/{todolistId}/groups.json — Create a to-do list group
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodolistGroupInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/todolists/{todolistId}/groups.json — Get to-do list groups (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Todolist"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/todolists/{todolistId}/groups.json — Create a to-do list group (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodolistGroupInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/todolists/{todolistId}/todos.json — Get to-dos
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "completed",
"in": "query",
"required": false,
"schema": {
"type": "boolean"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Todo"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/todolists/{todolistId}/todos.json — Create a to-do
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodoInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todo"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/todolists/{todolistId}/todos.json — Get to-dos (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer"
}
},
{
"name": "completed",
"in": "query",
"required": false,
"schema": {
"type": "boolean"
}
},
{
"name": "status",
"in": "query",
"required": false,
"schema": {
"type": "string"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Todo"
}
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/buckets/{bucketId}/todolists/{todolistId}/todos.json — Create a to-do (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todolistId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodoInput"
}
}
}
}Responses
{
"201": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todo"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/todolists/{id} — Get a to-do list or group
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "id",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/todolists/{id} — Update a to-do list or group
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "id",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodolistUpdate"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/todolists/{id} — Get a to-do list or group (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "id",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/todolists/{id} — Update a to-do list or group (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "id",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodolistUpdate"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todolist"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/todos/{todoId} — Get a to-do
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todoId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todo"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/todos/{todoId} — Update a to-do
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todoId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodoInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todo"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}GET /{accountId}/buckets/{bucketId}/todos/{todoId} — Get a to-do (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todoId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todo"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}PUT /{accountId}/buckets/{bucketId}/todos/{todoId} — Update a to-do (legacy bucket route)
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "bucketId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todoId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Request body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TodoInput"
}
}
}
}Responses
{
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Todo"
}
}
}
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"422": {
"description": "Invalid input",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}POST /{accountId}/todos/{todoId}/completion.json — Complete a to-do
Parameters
[
{
"name": "accountId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
},
{
"name": "todoId",
"in": "path",
"required": true,
"schema": {
"type": "integer"
}
}
]Responses
{
"204": {
"description": "No content"
},
"401": {
"description": "Missing or invalid token",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"404": {
"description": "Not found, or not visible to this person",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
},
"429": {
"description": "Rate limited (see Retry-After)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
[...]
